couchdb-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul Davis <>
Subject Re: Debian couchdb-1.1.0-2b is broken
Date Wed, 12 Oct 2011 21:49:11 GMT
On Wed, Oct 12, 2011 at 3:30 PM, Victor Nicollet <> wrote:
> Hello,
> For your information, the latest version of the couchdb package on Debian is
> broken: 'emit' in the JavaScript views does not emit anything. I do not know
> whether the issue comes from couchdb-1.1.0-2b or from the upgrade to
> libmozjs7d that occurred at the same time.
> If you are having trouble with this, you can revert back to couchdb-1.1.0-2
> and libmozjs6d until it gets fixed. If you don't have a copy of these in
> your cache, you can find them here:
> You may have to delete and rebuild your views.
> Good luck.
> -- VN

This is due to Debian using that newer SpiderMonkey. There's a patch
that we're adding to 1.1.1 that will cause ./configure to fail with an
appropriate warning message.

View raw message